<?xml version="1.0" encoding="utf-8"?><!--
  ~ Aurora Droid
  ~ Copyright (C) 2019, Rahul Kumar Patel <whyorean@gmail.com>
  ~
  ~ Aurora Droid is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ Aurora Droid is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU General Public License
  ~ along with Aurora Droid.  If not, see <http://www.gnu.org/licenses/>.
  -->

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/coordinator"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingTop="@dimen/margin_bottom">

        <RelativeLayout
            android:id="@+id/layout_action"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="@dimen/min_height">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/txt_update_all"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/margin_normal"
                android:layout_marginEnd="@dimen/margin_small"
                android:layout_toStartOf="@id/btn_update_all"
                android:maxLines="1"
                android:text="@string/title_update_all"
                android:textAppearance="@style/TextAppearance.Aurora.SubTitle"
                app:autoSizeMaxTextSize="16sp"
                app:autoSizeMinTextSize="12sp"
                app:autoSizeTextType="uniform" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_update_all"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/margin_small"
                android:layout_marginEnd="@dimen/margin_small"
                android:maxLines="1"
                android:text="@string/list_update_all" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:overScrollMode="never"
            android:paddingBottom="@dimen/margin_bottom"
            android:scrollbars="vertical"
            android:splitMotionEvents="false"
            tools:listitem="@layout/item_installed" />
    </LinearLayout>
</androidx.coordinatorlayout.widget.CoordinatorLayout>